Bug 20893 - batchRebuildItemsTables.pl has incorrect parameter
Summary: batchRebuildItemsTables.pl has incorrect parameter
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 19040
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-07 14:02 UTC by Nick Clemens
Modified: 2019-10-14 19:56 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20893: batchRebuildItemsTables.pl has incorrect parameter (1.13 KB, patch)
2018-06-07 14:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20893: batchRebuildItemsTables.pl has incorrect parameter (1.20 KB, patch)
2018-06-18 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20893: batchRebuildItemsTables.pl has incorrect parameter (1.25 KB, patch)
2018-06-25 13:04 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-06-07 14:02:50 UTC
umm...biblionumber only has one m
Comment 1 Nick Clemens 2018-06-07 14:05:07 UTC
Created attachment 75882 [details] [review]
Bug 20893: batchRebuildItemsTables.pl has incorrect parameter

To test:
1 - run batchRebuildItemsTables.pl with a valid biblionumber
   perl /usr/share/koha/bin/batchRebuildItemsTables.pl --where biblio.biblionumber=38483  -c
2 - Note it says 'undefined biblionumber
3 - Apply patch
4 - Do it again
5 - It works!
Comment 2 Katrin Fischer 2018-06-18 22:04:57 UTC
Created attachment 76165 [details] [review]
Bug 20893: batchRebuildItemsTables.pl has incorrect parameter

To test:
1 - run batchRebuildItemsTables.pl with a valid biblionumber
   perl /usr/share/koha/bin/batchRebuildItemsTables.pl --where biblio.biblionumber=38483  -c
2 - Note it says 'undefined biblionumber
3 - Apply patch
4 - Do it again
5 - It works!

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Julian Maurice 2018-06-25 13:04:27 UTC
Created attachment 76378 [details] [review]
Bug 20893: batchRebuildItemsTables.pl has incorrect parameter

To test:
1 - run batchRebuildItemsTables.pl with a valid biblionumber
   perl /usr/share/koha/bin/batchRebuildItemsTables.pl --where biblio.biblionumber=38483  -c
2 - Note it says 'undefined biblionumber
3 - Apply patch
4 - Do it again
5 - It works!

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Julian Maurice 2018-06-25 13:05:34 UTC
This was broken by bug 19040.
The fix needs to be backported in 18.05.x and 17.11.x
Comment 5 Nick Clemens 2018-06-29 21:01:59 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-07-02 08:09:21 UTC
Pushed to 18.05.x for 18.05.02
Comment 7 Fridolin Somers 2018-07-04 07:47:29 UTC
Pushed to 17.11.x for 17.11.08
Comment 8 Fridolin Somers 2018-07-04 07:49:16 UTC
Depends on Bug 19040 not in 17.05.x